# Get App Update

Launch stage: GA

`GET /api/2.0/apps/{app_name}/update`

Gets the status of an app update.

API scopes: apps

## Path parameters

- `app_name` (string, optional)
  The name of the app.

## Returns

- `status` (object, optional)
  - `state` (string, optional)
    Possible values: `UPDATE_STATE_UNSPECIFIED`, `NOT_UPDATED`, `IN_PROGRESS`, `SUCCEEDED`, `FAILED`
  - `message` (string, optional)
- `description` (string, optional)
- `budget_policy_id` (string, optional)
- `resources` (array of object, optional)
  - `name` (string, optional)
    Name of the App Resource.
    Example: `api-key`
    Constraints: `[ 2 .. 30 ] characters`
  - `description` (string, optional)
    Description of the App Resource.
    Example: `API key for external service.`
    Constraints: `<= 50 characters`
  - `secret` (object, required)
    - `scope` (string, optional)
      Scope of the secret to grant permission on.
      Example: `my-scope`
    - `key` (string, optional)
      Key of the secret to grant permission on.
      Example: `my-key`
    - `permission` (string, optional)
      Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
      Possible values: `READ`, `WRITE`, `MANAGE`
      Example: `READ`
  - `sql_warehouse` (object, required)
    - `id` (string, optional)
      Id of the SQL warehouse to grant permission on.
      Example: `e9ca293f79a74b5c`
    - `permission` (string, optional)
      Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
      Possible values: `CAN_MANAGE`, `CAN_USE`, `IS_OWNER`
      Example: `CAN_USE`
  - `serving_endpoint` (object, required)
    - `name` (string, optional)
      Name of the serving endpoint to grant permission on.
      Example: `databricks-meta-llama-3-1-70b-instruct`
    - `permission` (string, optional)
      Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
      Possible values: `CAN_MANAGE`, `CAN_QUERY`, `CAN_VIEW`
      Example: `CAN_QUERY`
  - `job` (object, required)
    - `id` (string, optional)
      Id of the job to grant permission on.
      Example: `1234`
    - `permission` (string, optional)
      Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
      Possible values: `CAN_MANAGE`, `IS_OWNER`, `CAN_MANAGE_RUN`, `CAN_VIEW`
      Example: `CAN_VIEW`
  - `uc_securable` (object, required)
    - `securable_full_name` (string, optional)
      Example: `my-catalog.my-schema.my-volume`
    - `securable_type` (string, optional)
      Possible values: `VOLUME`, `TABLE`, `FUNCTION`, `CONNECTION`
      Example: `VOLUME`
    - `permission` (string, optional)
      Possible values: `READ_VOLUME`, `WRITE_VOLUME`, `SELECT`, `EXECUTE`, `USE_CONNECTION`, `MODIFY`
    - `securable_kind` (string, optional)
      The securable kind from Unity Catalog.
       See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.
  - `database` (object, required)
    - `instance_name` (string, optional)
      Example: `my-database-instance`
    - `database_name` (string, optional)
      Example: `my-database`
    - `permission` (string, optional)
      Possible values: `CAN_CONNECT_AND_CREATE`
      Example: `CAN_CONNECT_AND_CREATE`
  - `genie_space` (object, required)
    - `name` (string, optional)
      Example: `my-genie-space`
    - `space_id` (string, optional)
      Example: `550e8400-e29b-41d4-a716-446655440000`
    - `permission` (string, optional)
      Possible values: `CAN_MANAGE`, `CAN_EDIT`, `CAN_RUN`, `CAN_VIEW`
      Example: `CAN_MANAGE`
  - `experiment` (object, required)
    - `experiment_id` (string, optional)
      Example: `1021971371025173`
    - `permission` (string, optional)
      Possible values: `CAN_MANAGE`, `CAN_EDIT`, `CAN_READ`
      Example: `CAN_MANAGE`
  - `app` (object, required)
    - `name` (string, optional)
      Example: `my-app`
    - `permission` (string, optional)
      Possible values: `CAN_USE`
      Example: `CAN_USE`
  - `postgres` (object, required)
    - `branch` (string, optional)
      Example: `projects/proj-abc123/branches/branch-xyz789`
    - `database` (string, optional)
      Example: `projects/proj-abc123/branches/branch-xyz789/databases/db-456`
    - `permission` (string, optional)
      Possible values: `CAN_CONNECT_AND_CREATE`
      Example: `CAN_CONNECT_AND_CREATE`
- `user_api_scopes` (array of string, optional)
- `compute_size` (string, optional)
  Possible values: `MEDIUM`, `LARGE`, `XLARGE`
- `usage_policy_id` (string, optional)
- `git_repository` (object, optional)
  - `url` (string, optional)
    URL of the Git repository.
    Example: `https://github.com/databricks/git_app_repo.git`
    Constraints: `<= 300 characters`
  - `provider` (string, optional)
    Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud,
     bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
    Example: `gitHub`
  - `auto_deploy` (boolean, optional, Beta)
    When true, automatically deploys the app on push events to the branch configured in
     the app's deployment_source.git_source.
  - `caller_credential_id` (int64, optional, Beta)
    ID of a personal access token Git credential owned by the caller, used to
     grant the app's service principal access to this repository.
    Example: `93488329053511`

## Response

```json
{
  "status": {
    "state": "string",
    "message": "string"
  },
  "description": "string",
  "budget_policy_id": "string",
  "resources": [
    {
      "name": "api-key",
      "description": "API key for external service.",
      "secret": {},
      "sql_warehouse": {},
      "serving_endpoint": {},
      "job": {},
      "uc_securable": {},
      "database": {},
      "genie_space": {},
      "experiment": {},
      "app": {},
      "postgres": {}
    }
  ],
  "user_api_scopes": [
    "string"
  ],
  "compute_size": "string",
  "usage_policy_id": "string",
  "git_repository": {
    "url": "https://github.com/databricks/git_app_repo.git",
    "provider": "gitHub",
    "auto_deploy": true,
    "caller_credential_id": 93488329053511
  }
}
```

